Bug 784344 - repl-monitor doesn't work if leftmost hostnames are the same
Summary: repl-monitor doesn't work if leftmost hostnames are the same
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-24 16:09 UTC by Rich Megginson
Modified: 2012-06-20 07:13 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.2.10.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Using repl-monitor to monitor replication, and the hostnames have the same leftmost part (e.g. ldap.domain1, ldap.domain2, etc.). Consequence: The repl monitor output is garbled and inaccurate. Fix: Use the entire hostname rather than just the leftmost part to differentiate different hosts. Result: repl-monitor output is clean and accurate.
Clone Of:
Environment:
Last Closed: 2012-06-20 07:13:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
SS (111.95 KB, image/png)
2012-05-24 15:00 UTC, Amita Sharma
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0813 normal SHIPPED_LIVE Low: 389-ds-base security, bug fix, and enhancement update 2012-06-19 19:29:15 UTC

Description Rich Megginson 2012-01-24 16:09:13 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/257

if you have hosts like this:
ldap.domain1.com
ldap.domain2.com
...
ldap.domainN.com

repl-monitor add_server() will assume ldap.domain1.com is the same as ldap.domain2.com - it should take the domain into consideration when matching.

Comment 3 Rich Megginson 2012-04-16 16:30:07 UTC
Steps to test

1) set up 3 master replication - make sure the hostnames are as in https://bugzilla.redhat.com/show_bug.cgi?id=784344#c0 - you can set up your /etc/hosts with aliases to make it easier (rather than having to actually get DNS set up)
2) set up the replica monitor tool config file as per the documentation
3) perform some updates to all of the masters
4) run repl-monitor.pl and verify the HTML output looks correct in a browser

Comment 5 Amita Sharma 2012-05-24 15:00:50 UTC
Created attachment 586657 [details]
SS

Comment 6 Amita Sharma 2012-05-24 15:03:06 UTC
Successfully VERIFIED. PFA for SS.

Comment 7 Rich Megginson 2012-05-24 23:09:13 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Using repl-monitor to monitor replication, and the hostnames have the same leftmost part (e.g. ldap.domain1, ldap.domain2, etc.).
Consequence: The repl monitor output is garbled and inaccurate.
Fix: Use the entire hostname rather than just the leftmost part to differentiate different hosts.
Result: repl-monitor output is clean and accurate.

Comment 8 errata-xmlrpc 2012-06-20 07:13:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0813.html


Note You need to log in before you can comment on or make changes to this bug.